# ApplicationFramework
TKPShape
PColPGeom2d

# PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve Class Reference

`#include <PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve ()
| PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve (const Handle(PGeom2d_BSplineCurve)&aValue)
void | SetValue (const Handle(PGeom2d_BSplineCurve)&aValue)
Standard_Address | Value () const

## Private Attributes

Handle_PGeom2d_BSplineCurve | myValue

## Constructor & Destructor Documentation

PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve::PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve | ( |  | ) |

PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve::PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve | ( | const Handle(PGeom2d_BSplineCurve)& | aValue | ) |

## Member Function Documentation

void PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve::operator new | ( | size_t | size | ) | `[inline]`

void* PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve::SetValue | ( | const Handle(PGeom2d_BSplineCurve)& | aValue | ) |

Standard_Address PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom2d_BSplineCurve PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve::myValue`[private]`

The documentation for this class was generated from the following file:

- PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBSplineCurve.hxx